none
Pagina web responsiva RRS feed

  • Pregunta

  • Hola que tal.

    Tengo una solución hecha en C#, se pretende que sea multiplataforma, pero salieron muchos peros al respecto como:

    • Compatibilidad con .net
    • diferentes dispositivos (pc, smartphone, tablets con windows, con android y con IOs)
    • multinavegador
    • debe ser compatible con internet explorer 6

    Alguien me podria dar una idea de como poder solucionar esta parte, me preocupa mas lo de la compatibilidad de internet explorer 6 ya que pense en HTML5 pero hay incompatibilidad con este navegador.

    Gracias por su ayuda :)

    viernes, 24 de abril de 2015 22:05

Respuestas

  • >>pero por el momento no es posible por que igual tienen maquinas muy viejitas que no soportan navegadores muy actualizados.

    pero entonces tendrias que reevaluar la actualizacion, digo para que actualizar algo que al final no le vas a sacar provecho

    que actualicen cuando puedan cambiar esas pc viejas

    igual sigo pensando que en esas pc viejas versiones nuevas a Chrome puede ejecutar y las aplicaciones responsivas deberian ejecutar bien en todos los browser

    consulta si en esas pc viejas no puedes usar otro browser que no sea IE

    >>validar la version del navegador, si es uno compatible que lo trabaje con HTML 5 incluso para  smartphone y tablets, si es uno que no lo soporta pues que siga trabajando con el sistema actual

    si podria ser un camino, aunque va a ser un poco trabajoso porque quizas haya funcionalidad que vas a tener que duplicar entre el sistema nuevo y el viejo, o sea apunto a funcionalidad nueva que quiera incorporarse

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina


    lunes, 27 de abril de 2015 15:27

Todas las respuestas

  • ¿Internet Explorer 6? Antes de empezar yo le daría una vuelta para ver si ese requerimiento resulta absolutamente imprescindible. Si es así desde luego es un problema muy grande.
    viernes, 24 de abril de 2015 22:25
  • hola

    olvidate el punto "debe ser compatible con internet explorer 6", como bien lo mencionas html 5 no corre sobre esa version del browser

    es mas te diria que evalues, para no tener problemas, IE9 o superior

    la compatibilidad con .net no entiendo en que afecta, el diseño responsible de una desarrollo web se logra con javascript y css, .net no interviene

    imagino cuando te refieres a un diseño responsibe estas pensando en bootstrap, no?

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    viernes, 24 de abril de 2015 23:12
  • Prueba Bootstrap es un framework  de twitter el cual permite utilizarlo para que tu pagina sea responsive.

    prueba esto http://www.nominetui.somee.com/Account/Login

    usuario:denis

    clave:123

    Espero te sirva


    ProgramacionYa.net
    Si pequeña es la Patria, uno grande la sueña
    Rubén Darío
    Principe de las letras Castellanas
    Poeta Nicaragüense

    sábado, 25 de abril de 2015 7:46
  • hola

    me pregunto, no puedes hacer que los cliente actualicen la verison del browser ? o sino que usen otro como Chrome o FireFox

    no me parece tan complejo que usen un browser mas modernom es mas hasta es recomendable la actualizacion

    el rema es que todo lo Responsivo que encuentres por medio de framework va a requierir minimo (para funcionar bien) IE9 o superior

    yo atacaria el problema por ver de actualizar el browser en los clientes

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    lunes, 27 de abril de 2015 15:09
  • hola

    me pregunto, no puedes hacer que los cliente actualicen la verison del browser ? o sino que usen otro como Chrome o FireFox

    no me parece tan complejo que usen un browser mas modernom es mas hasta es recomendable la actualizacion

    el rema es que todo lo Responsivo que encuentres por medio de framework va a requierir minimo (para funcionar bien) IE9 o superior

    yo atacaria el problema por ver de actualizar el browser en los clientes

    saludos


    Leandro Tuttini


    Hola

    Si pregunte pero por el momento no es posible por que igual tienen maquinas muy viejitas que no soportan navegadores muy actualizados.

    Si no lo que se me ocurre es montar otro sitio y validar la version del navegador, si es uno compatible que lo trabaje con HTML 5 incluso para  smartphone y tablets, si es uno que no lo soporta pues que siga trabajando con el sistema actual solo que en vista parecido al actualizado.

    Gracias de nuevo Leandro 


    lunes, 27 de abril de 2015 15:23
  • ¿Internet Explorer 6? Antes de empezar yo le daría una vuelta para ver si ese requerimiento resulta absolutamente imprescindible. Si es así desde luego es un problema muy grande.
    Hola, si vaya que si es un mega problema estoy que me jalo los cabellos, me puse a investigar sobre jQuery mobile o javascript para sacarlo pero aun así sigo dudandolo, gracias por tu apoyo :)
    lunes, 27 de abril de 2015 15:24
  • hola

    olvidate el punto "debe ser compatible con internet explorer 6", como bien lo mencionas html 5 no corre sobre esa version del browser

    es mas te diria que evalues, para no tener problemas, IE9 o superior

    la compatibilidad con .net no entiendo en que afecta, el diseño responsible de una desarrollo web se logra con javascript y css, .net no interviene

    imagino cuando te refieres a un diseño responsibe estas pensando en bootstrap, no?

    saludos


    Leandro Tuttini


    Si mira, tenemos una solución en C# que corre en Explorer 6 en adelante, pero ahora se pretende "Actualizar", pero como este sistema web o esta versión no es compatible para moviles entonces pense en HTML5 y ahora esto no es compatible con Explorer 6, por eso me deshice de esa idea de HTML5, solo como condiciones fue eso, :Responsivo, Compatible y tambien me quede en duda a que se referian con compatible con .net

    También no he pensado en bootstrap aun no lo conozco solo lo he escuchado pero como mencionas se hara todo con javascrip para hacerlo responsivo y asi reutilizar toda la solución que ya tenemos... Muchas gracias por tu apoyo :)


    lunes, 27 de abril de 2015 15:25
  • Prueba Bootstrap es un framework  de twitter el cual permite utilizarlo para que tu pagina sea responsive.

    prueba esto http://www.nominetui.somee.com/Account/Login

    usuario:denis

    clave:123

    Espero te sirva


    ProgramacionYa.net
    Si pequeña es la Patria, uno grande la sueña
    Rubén Darío
    Principe de las letras Castellanas
    Poeta Nicaragüense

    muchas gracias lo voy a analizar, pero igual tengo que ver si tiene que ver con compatibilidades, pero espero igual me de muchas soluciones Bootstrap... Gracias por tu ayuda :)
    lunes, 27 de abril de 2015 15:26
  • >>pero por el momento no es posible por que igual tienen maquinas muy viejitas que no soportan navegadores muy actualizados.

    pero entonces tendrias que reevaluar la actualizacion, digo para que actualizar algo que al final no le vas a sacar provecho

    que actualicen cuando puedan cambiar esas pc viejas

    igual sigo pensando que en esas pc viejas versiones nuevas a Chrome puede ejecutar y las aplicaciones responsivas deberian ejecutar bien en todos los browser

    consulta si en esas pc viejas no puedes usar otro browser que no sea IE

    >>validar la version del navegador, si es uno compatible que lo trabaje con HTML 5 incluso para  smartphone y tablets, si es uno que no lo soporta pues que siga trabajando con el sistema actual

    si podria ser un camino, aunque va a ser un poco trabajoso porque quizas haya funcionalidad que vas a tener que duplicar entre el sistema nuevo y el viejo, o sea apunto a funcionalidad nueva que quiera incorporarse

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina


    lunes, 27 de abril de 2015 15:27
  • Voy a volver a validarlo con ellos y a ver que dicen si no voy a tener que hacer mas trabajo con la segunda opcion :(
    lunes, 27 de abril de 2015 15:33
  • tiene que ser IE 6? por fuerza, podrias instalarle Firefox o Chrome?

    Es algun requerimiento de tu aplicacion?

    slds


    ProgramacionYa.net
    Si pequeña es la Patria, uno grande la sueña
    Rubén Darío
    Principe de las letras Castellanas
    Poeta Nicaragüense

    lunes, 27 de abril de 2015 21:26
  • tiene que ser IE 6? por fuerza, podrias instalarle Firefox o Chrome?

    Es algun requerimiento de tu aplicacion?

    slds


    ProgramacionYa.net
    Si pequeña es la Patria, uno grande la sueña
    Rubén Darío
    Principe de las letras Castellanas
    Poeta Nicaragüense

    Hola, si tiene que ser IE6 forzosamente se esta viendo si se puede actualizar pero lo dudo mucho, tambien manejan IE8 y si es requerimiento 
    lunes, 27 de abril de 2015 21:37
  • A caray, tas fregado entonces, para poder implementar nuevas tecnologías tienes que estar actualizado, tienes que plantearle ese problema a tu jefe, y ahorita es el momento que hagas el cambio.si no tu aplicacion esta destinada a morir.

    Slds


    ProgramacionYa.net
    Si pequeña es la Patria, uno grande la sueña
    Rubén Darío
    Principe de las letras Castellanas
    Poeta Nicaragüense

    martes, 28 de abril de 2015 1:33